#
# spec file for package plexus-io
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           plexus-io
Version:        3.4.2
Release:        1.1
Summary:        Plexus IO Components
License:        Apache-2.0
Group:          Development/Libraries/Java
URL:            https://github.com/codehaus-plexus/%{name}
Source0:        https://github.com/codehaus-plexus/%{name}/archive/%{name}-%{version}.tar.gz
Source1:        %{name}-build.xml
Source2:        http://www.apache.org/licenses/LICENSE-2.0.txt
BuildRequires:  ant
BuildRequires:  apache-commons-io
BuildRequires:  atinject
BuildRequires:  fdupes
BuildRequires:  javapackages-local >= 6
BuildRequires:  jsr-305
BuildRequires:  plexus-utils >= 3.3.0
BuildRequires:  sisu-inject
BuildArch:      noarch

%description
Plexus IO is a set of plexus components, which are designed for use
in I/O operations.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Documentation/HTML

%description javadoc
API documentation for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}
cp %{SOURCE1} build.xml
cp %{SOURCE2} .

%build
mkdir -p lib
build-jar-repository -s lib atinject org.eclipse.sisu.inject plexus/utils commons-io jsr-305

%{ant} \
  jar javadoc

%install
# jar
install -dm 0755 %{buildroot}%{_javadir}/plexus
install -pm 0644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/plexus/io.jar
# pom
install -dm 0755 %{buildroot}%{_mavenpomdir}/plexus
%{mvn_install_pom} pom.xml %{buildroot}%{_mavenpomdir}/plexus/io.pom
%add_maven_depmap plexus/io.pom plexus/io.jar
# javadoc
install -dm 0755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}/
%fdupes -s %{buildroot}%{_javadocdir}

%files -f .mfiles
%license NOTICE.txt LICENSE-2.0.txt

%files javadoc
%license NOTICE.txt LICENSE-2.0.txt
%{_javadocdir}/%{name}

%changelog
* Thu Jun 13 2024 Fridrich Strba <fstrba@suse.com>
- Upgrade to version 3.4.2
  * Dependency updates
    + Update sisu.inject to 0.9.0.M2
    + Bump guice from 5.1.0 to 6.0.0
    + Bump commons-io:commons-io from 2.11.0 to 2.15.1
    + Bump plexus-utils from 3.5.0 to 4.0.0
    + Bump org.codehaus.plexus:plexus-testing from 1.1.0 to 1.3.0
  * Maintenance
    + JUnit4 to 5 migration
    + Code cleanup
    + Reuse plexus-pom action for CI
* Wed Sep  6 2023 Fridrich Strba <fstrba@suse.com>
- Upgrade to version 3.4.1
- Changes of 3.4.1
  * Bug Fixes
    + Fix symbolic link are being resolved into absolute path
- Changes of 3.4.0
  * New features and improvements
    + Drop legacy and make components pure JSR330
    + Restore speed improvements
  * Maintenance
    + Fix code style
- Changes of 3.3.1
  * Bug Fixes
    + Fix symbolic links to directories are not recognized as
    directories
- Changes of 3.3.0
  * Plexus IO 3.3.0 requires Java 8.
  * New features and improvements
    + Plexus IO build is now reproducible
    + Various speed improvements
  * Bug Fixes
    + Fix issue related to symbolic link tests issue
* Tue May 11 2021 Fridrich Strba <fstrba@suse.com>
- Do not build/run tests against the legacy guava20 package
* Sun Nov 24 2019 Fridrich Strba <fstrba@suse.com>
- Upgrade to version 3.2.0
* Wed Mar  6 2019 Fridrich Strba <fstrba@suse.com>
- Initial packaging of plexus-io 3.0.0
- Generate and customize ant build file
